// Теоретичні питання
//  1. Що таке логічний оператор?
//  За допомогою логичних операторів можемо прівнювати змінні та отримувати true або false.


//  2. Які логічні оператори є в JavaScript і які їх символи?
// && - логічне 'і', || - логічне 'або', ! - логічне 'не'

"use strict";

 
//  Практичні завдання.
//  1. Попросіть користувача ввести свій вік за допомогою prompt. 
//  Якщо вік менше 12 років, виведіть у вікні alert повідомлення про те, 
//  що він є дитиною, якщо вік менше 18 років, виведіть повідомлення про те, 
//  що він є підлітком, інакше виведіть повідомлення про те, що він є дорослим.

//  Завдання з підвищенною складністю.
//  Перевірте чи ввів користувач саме число в поле prompt. Якщо ні, то виведіть повідомлення, що введено не число.

/*const age = prompt("enter AGE");

if (age < 12) {
    alert ("Ви ще дитинка, треба підрости");
} else if (age < 18) {
    alert ('То ви вже підліток, але ще треба трошки підрости ;)');
} else if (age >= 18) {
    alert ('Ласкаво просимо в клуб "Кому за 18"');
} else if (typeof (age) !== !isNaN) {
    alert ("Ви ввели не число");
}*/

//  2. Напишіть програму, яка запитує у користувача місяць року (українською мовою маленкими літерами) та виводить повідомлення, 
//  скільки днів у цьому місяці. Результат виводиться в консоль.
//  Скільки днів в кожному місяці можна знайти тут в розділі Юліанський і Григоріанський календарі - https://uk.wikipedia.org/wiki/%D0%9C%D1%96%D1%81%D1%8F%D1%86%D1%8C_(%D1%87%D0%B0%D1%81)
//  (Використайте switch case)

const month = prompt("Введіть місяць");

switch (month) {
        case 'січень':
         console.log(31);
            break;
        case 'лютий':
         console.log(28 + ' (29 високосний рік)');
        break
        case 'березень':
         console.log(31);
        break;
        case 'квітень':
         console.log(30);
        break;
        case 'травень':
         console.log(31);
        break;
        case 'червень':
         console.log(30);
        break;
        case 'липень':
         console.log(31);
        break;
        case 'серпень':
         console.log(31);
        break;
        case 'вересень':
         console.log(30);
        break;
        case 'жовтень':
         console.log(31);
        break;
        case 'листопад':
         console.log(30);
        break;
        case 'грудень':
         console.log(31);
        break;
    default:
        alert (`українською мовою маленкими літерами`);
        break;
}